$AdfDhtmlButtonPeer$$.$_SUB_ID_MAP$ = {dropdown:"popEl", icon:"icon"};
$AdfDhtmlButtonPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlButtonPeer$$$$$GetSubIdDomElement$$($domElement$$627_subElementId$$11$$) {
  $AdfAssert$$.$assertNonEmptyString$($domElement$$627_subElementId$$11$$);
  if ("text" != $domElement$$627_subElementId$$11$$) {
    var $component$$2411$$ = this.$getComponent$();
    return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($domElement$$627_subElementId$$11$$, $AdfDhtmlButtonPeer$$.$_SUB_ID_MAP$, $component$$2411$$);
  }
  $domElement$$627_subElementId$$11$$ = this.$getDomElement$();
  return $AdfDomUtils$$.$getDescendentElement$($domElement$$627_subElementId$$11$$, "SPAN", 0);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlButtonPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlButtonPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlButtonPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlButtonPeer$$$$$GetBestMatchSubId$$($domElement$$628$$) {
  var $subId$$45$$ = $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$628$$, this, $AdfDhtmlButtonPeer$$.$_SUB_ID_MAP$);
  if (!$subId$$45$$) {
    var $anchorElem_rootNode$$24$$ = this.$getDomElement$(), $anchorElem_rootNode$$24$$ = $AdfDomUtils$$.$getDescendentElement$($anchorElem_rootNode$$24$$, "A", 0);
    $domElement$$628$$.parentNode == $anchorElem_rootNode$$24$$ && ($subId$$45$$ = "text");
  }
  return $subId$$45$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlButtonPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlButtonPeer$$.prototype.$GetBestMatchSubId$});
